FreeMat

- Main Page
- Related Pages

vtkGeoImageNode

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoImageNode contains an image tile in a multi-resolution image tree, along with metadata about that image's extents.

To create an instance of class vtkGeoImageNode, simply invoke its constructor as follows

      obj = vtkGeoImageNode

# Methods

The class vtkGeoImageNode has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoImageNode class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoImageNode = obj.NewInstance ()`
- `vtkGeoImageNode = obj.SafeDownCast (vtkObject o)`
- `vtkGeoImageNode = obj.GetChild (int idx)`
- `vtkGeoImageNode = obj.GetParent ()`
- `vtkImageData = obj.GetImage ()` - Get the image tile.
- `obj.SetImage (vtkImageData image)` - Get the image tile.
- `vtkTexture = obj.GetTexture ()` - Get the image tile.
- `obj.SetTexture (vtkTexture texture)` - Get the image tile.
- `obj.CropImageForTile (vtkImageData image, double imageLonLatExt, string prefix)` - This crops the image as small as possible while still covering the patch. The Longitude Latitude range may get bigger to reflect the actual size of the image. If prefix is specified, writes the tile to that location.
- `obj.LoadAnImage (string prefix)` - This loads the image from a tile database at the specified location.
- `obj.ShallowCopy (vtkGeoTreeNode src)` - Shallow and Deep copy.
- `obj.DeepCopy (vtkGeoTreeNode src)` - Shallow and Deep copy.
- `bool = obj.HasData ()`
- `obj.DeleteData ()` - Deletes the data associated with the node to make this an "empty" node. This is performed when the node has been unused for a certain amount of time.